# DefaultSignatureTypeProvider

open class DefaultSignatureTypeProvider : AbstractSignatureTypeProvider

The default SignatureTypeProvider implementation including support for BinarySignatureType and ArmoredSignatureType signatures.

## Constructors

DefaultSignatureTypeProvider
Link copied to clipboard
constructor()

## Functions

getDefaultType
Link copied to clipboard
open fun getDefaultType(): SignatureType
getTypeForExtension
Link copied to clipboard
open fun getTypeForExtension(extension: String): SignatureType
hasTypeForExtension
Link copied to clipboard
open fun hasTypeForExtension(extension: String): Boolean
setDefaultType
Link copied to clipboard
open fun setDefaultType(defaultTypeExtension: String)